Functions that deal with hardware planes

Functions that deal with hardware plane manipulation. More...

## Functions

EAPI Ecore_Drm2_Plane * | ecore_drm2_plane_assign (Ecore_Drm2_Output *output, Ecore_Drm2_Fb *fb, int x, int y)
| Find a hardware plane where a given Ecore_Drm2_Fb can go based on format and size.
EAPI void | ecore_drm2_plane_release (Ecore_Drm2_Plane *plane)
| Remove a hardware plane from display.
EAPI void | ecore_drm2_plane_destination_set (Ecore_Drm2_Plane *plane, int x, int y, int w, int h)
| Set plane destination values.
EAPI Eina_Bool | ecore_drm2_plane_fb_set (Ecore_Drm2_Plane *plane, Ecore_Drm2_Fb *fb)
| Set plane frame buffer.

## Detailed Description

Functions that deal with hardware plane manipulation.

## Function Documentation

## ecore_drm2_plane_assign()

EAPI Ecore_Drm2_Plane * ecore_drm2_plane_assign | ( | Ecore_Drm2_Output * | output,
|  | Ecore_Drm2_Fb * | fb,
|  | int | x,
|  | int | y )

Find a hardware plane where a given Ecore_Drm2_Fb can go based on format and size.

Parameters

  output |
  fb |

Returns
  A newly allocated plane object, or NULL otherwise

Since
  1.20

References DBG, EINA_FALSE, eina_list_append(), EINA_LIST_FOREACH, eina_list_remove(), and EINA_TRUE.

## ecore_drm2_plane_release()

EAPI void ecore_drm2_plane_release | ( | Ecore_Drm2_Plane * | plane | ) |

Remove a hardware plane from display.

Parameters

  plane |

Since
  1.20

References EINA_FALSE, eina_list_append(), EINA_SAFETY_ON_NULL_RETURN, EINA_SAFETY_ON_TRUE_RETURN, and EINA_TRUE.

## ecore_drm2_plane_destination_set()

EAPI void ecore_drm2_plane_destination_set | ( | Ecore_Drm2_Plane * | plane,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h )

Set plane destination values.

Parameters

  plane |
  x |
  y |
  w |
  h |

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN, and EINA_SAFETY_ON_TRUE_RETURN.

## ecore_drm2_plane_fb_set()

EAPI Eina_Bool ecore_drm2_plane_fb_set | ( | Ecore_Drm2_Plane * | plane,
|  | Ecore_Drm2_Fb * | fb )

Set plane frame buffer.

Parameters

  plane |
  fb |

Returns
  whether the plane state has been successfully changed or not

Since
  1.20

References EINA_FALSE, eina_list_append(), EINA_SAFETY_ON_NULL_RETURN_VAL, EINA_SAFETY_ON_TRUE_RETURN_VAL, and EINA_TRUE.